curl --request POST \
--url https://apix.spotzee.com/api/ext/generic/email/email-health-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'email_domain=<string>'import requests
url = "https://apix.spotzee.com/api/ext/generic/email/email-health-check"
payload = { "email_domain": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({email_domain: '<string>'})
};
fetch('https://apix.spotzee.com/api/ext/generic/email/email-health-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apix.spotzee.com/api/ext/generic/email/email-health-check"
payload := strings.NewReader("email_domain=%3Cstring%3E")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "success",
"data": {
"totalCritereaScore": 290,
"obtainedScore": 220,
"finalScorePercentage": 76,
"dataCompleteness": {
"percentage": 100,
"missingChecks": [
"TLS-RPT"
],
"failureReason": "technical"
},
"mx": {
"score": 123,
"maxScore": 123,
"value": [
{
"priority": "<string>",
"hostname": "<string>"
}
],
"isExists": {
"result": true,
"points": 123
},
"emailServiceProvider": {
"result": true,
"points": 123,
"value": [
{
"hostname": "<string>",
"provider": "<string>"
}
]
},
"hasMultipleProviders": {
"result": true,
"isProblematic": true,
"points": 123
},
"backupServers": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"isAnyBackUpServerDown": {
"result": true,
"isProblematic": true,
"points": 123
},
"isAnyIpBlacklisted": {
"result": true,
"isProblematic": true,
"points": 123,
"value": {}
},
"isReverseDNSMatches": {
"result": true,
"points": 123,
"value": {}
},
"isAnyHostnameBlacklisted": {
"result": true,
"isProblematic": true,
"points": 123,
"value": [
"<unknown>"
]
},
"info": [
"<string>"
],
"warnings": [
"<string>"
]
},
"spf": {
"score": 123,
"maxScore": 123,
"isExists": {
"result": true,
"points": 123
},
"isDuplicate": {
"result": true,
"isProblematic": true,
"points": 123
},
"isValid": {
"result": true,
"points": 123
},
"isMechanismUsed": {
"result": true,
"points": 123,
"value": {}
},
"isModifiersUsed": {
"result": true,
"points": 123,
"value": {}
},
"isRecursiveIncluded": {
"result": true,
"points": 123,
"value": [
"<string>"
]
},
"isTooManyVoidLookup": {
"result": true,
"isProblematic": true,
"points": 123,
"value": 123
},
"hasStrictAll": {
"result": true,
"points": 123
},
"value": [
"<string>"
],
"dnsLookupCount": {
"value": 123,
"points": 123
}
},
"dmarc": {
"score": 123,
"maxScore": 123,
"isExists": {
"result": true,
"points": 123
},
"isValid": {
"result": true,
"points": 123
},
"policy": {
"result": true,
"points": 123,
"value": "<string>"
},
"subDomainPolicy": {
"result": true,
"points": 123,
"value": "<string>"
},
"isRuaExists": {
"result": true,
"points": 123,
"value": [
"<string>"
]
},
"ruaEmails": {
"result": true,
"points": 123,
"value": [
{
"email": "<string>",
"result": "<string>"
}
]
},
"isRufExists": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"rufEmails": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"isPctExists": {
"result": true,
"points": 123,
"value": "<string>"
},
"isAspfExists": {
"result": true,
"points": 123,
"value": "<string>"
},
"isAdkimExists": {
"result": true,
"points": 123,
"value": "<string>"
},
"value": [
"<string>"
]
},
"domain": {
"score": 123,
"maxScore": 123,
"isBlackListed": {
"result": true,
"isProblematic": true,
"points": 123
},
"ageInMonths": {
"points": 123,
"value": 123
},
"expiryDate": {
"points": 123,
"value": "<string>"
},
"isDomainAgeMoreThan3Months": {
"result": true,
"points": 123,
"value": 123
},
"dnsProvider": {
"points": 123,
"value": [
"<string>"
]
},
"isTrustworthy": {
"result": true,
"points": 123,
"value": "<string>"
},
"isCommon": {
"result": true,
"points": 123,
"value": "<string>"
},
"isMXRecordExists": {
"result": true,
"points": 123,
"value": [
{
"priority": "<string>",
"hostname": "<string>"
}
]
},
"isUsingTLSA": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"isUsingDNSKEY": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"isDomainUrlBroken": {
"result": true,
"points": 123,
"value": "<string>"
},
"isSafeUrl": {
"result": true,
"points": 123,
"value": "<string>"
},
"isParkedDomain": {
"result": true,
"isProblematic": true,
"points": 123
},
"value": "<string>",
"info": [
"<string>"
]
},
"bimi": {
"score": 123,
"maxScore": 123,
"value": "<string>",
"isExists": {
"result": true,
"points": 123
},
"isValid": {
"result": true,
"points": 123
},
"isAllImageUrlWorks": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
}
},
"mtaSts": {
"score": 123,
"maxScore": 123,
"isExists": {
"result": true,
"points": 123,
"value": "<string>"
},
"policy": {
"mode": {
"result": true,
"points": 123,
"value": "<string>"
},
"maxAge": {
"result": true,
"points": 123,
"value": 123
},
"mxHosts": {
"value": [
"<string>"
],
"result": true
}
},
"isPolicyFileValid": {
"result": true,
"points": 123
},
"policyFileUrl": {
"value": "<string>"
},
"policyFileContent": {
"value": "<string>"
},
"errors": [
"<unknown>"
]
},
"tlsRpt": {
"score": 123,
"maxScore": 123,
"isExists": {
"result": true,
"points": 123
},
"rua": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"record": {
"value": "<string>"
},
"errors": [
"<unknown>"
]
},
"dkim": {
"score": 123,
"maxScore": 123,
"records": [
"<unknown>"
],
"info": [
"<string>"
]
},
"caa": {
"score": 10,
"maxScore": 10,
"isExists": {
"result": true,
"points": 10
},
"records": [
{
"raw": "0 issue \"letsencrypt.org\"",
"flags": 0,
"tag": "issue",
"value": "letsencrypt.org",
"isCritical": false,
"type": "issue",
"description": "Authorizes letsencrypt.org to issue certificates"
},
{
"raw": "0 iodef \"mailto:security@example.com\"",
"flags": 0,
"tag": "iodef",
"value": "mailto:security@example.com",
"isCritical": false,
"type": "iodef",
"description": "Incident reporting configured",
"reportingMethod": "email",
"reportingAddress": "security@example.com"
},
{
"raw": "0 contactemail \"caa-notifications@example.com\"",
"flags": 0,
"tag": "contactemail",
"value": "caa-notifications@example.com",
"isCritical": false,
"type": "contactemail",
"description": "CAA contact email: caa-notifications@example.com",
"contactMethod": "email",
"contactValue": "caa-notifications@example.com"
}
],
"analysis": {
"hasIssueTag": true,
"hasIssuewildTag": false,
"hasIncidentReporting": true,
"isRestrictive": false,
"authorizedCAs": [
{
"ca": "letsencrypt.org",
"type": "issue",
"provider": "Let's Encrypt"
}
],
"hasContactInfo": true,
"contactRecords": [
{
"type": "contactemail",
"value": "caa-notifications@example.com",
"method": "email"
}
],
"hasCriticalRecords": false,
"hasMultipleCAs": false,
"hasWildcardRestriction": false,
"totalRecords": 3,
"unparsedRecords": 0
}
}
}
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}Comprehensive email health check
Performs a comprehensive health check for an email domain including MX records, SPF, DMARC, DKIM, and blacklist status. Returns overall health score and actionable recommendations for improving email deliverability.
curl --request POST \
--url https://apix.spotzee.com/api/ext/generic/email/email-health-check \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'email_domain=<string>'import requests
url = "https://apix.spotzee.com/api/ext/generic/email/email-health-check"
payload = { "email_domain": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({email_domain: '<string>'})
};
fetch('https://apix.spotzee.com/api/ext/generic/email/email-health-check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apix.spotzee.com/api/ext/generic/email/email-health-check"
payload := strings.NewReader("email_domain=%3Cstring%3E")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "success",
"data": {
"totalCritereaScore": 290,
"obtainedScore": 220,
"finalScorePercentage": 76,
"dataCompleteness": {
"percentage": 100,
"missingChecks": [
"TLS-RPT"
],
"failureReason": "technical"
},
"mx": {
"score": 123,
"maxScore": 123,
"value": [
{
"priority": "<string>",
"hostname": "<string>"
}
],
"isExists": {
"result": true,
"points": 123
},
"emailServiceProvider": {
"result": true,
"points": 123,
"value": [
{
"hostname": "<string>",
"provider": "<string>"
}
]
},
"hasMultipleProviders": {
"result": true,
"isProblematic": true,
"points": 123
},
"backupServers": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"isAnyBackUpServerDown": {
"result": true,
"isProblematic": true,
"points": 123
},
"isAnyIpBlacklisted": {
"result": true,
"isProblematic": true,
"points": 123,
"value": {}
},
"isReverseDNSMatches": {
"result": true,
"points": 123,
"value": {}
},
"isAnyHostnameBlacklisted": {
"result": true,
"isProblematic": true,
"points": 123,
"value": [
"<unknown>"
]
},
"info": [
"<string>"
],
"warnings": [
"<string>"
]
},
"spf": {
"score": 123,
"maxScore": 123,
"isExists": {
"result": true,
"points": 123
},
"isDuplicate": {
"result": true,
"isProblematic": true,
"points": 123
},
"isValid": {
"result": true,
"points": 123
},
"isMechanismUsed": {
"result": true,
"points": 123,
"value": {}
},
"isModifiersUsed": {
"result": true,
"points": 123,
"value": {}
},
"isRecursiveIncluded": {
"result": true,
"points": 123,
"value": [
"<string>"
]
},
"isTooManyVoidLookup": {
"result": true,
"isProblematic": true,
"points": 123,
"value": 123
},
"hasStrictAll": {
"result": true,
"points": 123
},
"value": [
"<string>"
],
"dnsLookupCount": {
"value": 123,
"points": 123
}
},
"dmarc": {
"score": 123,
"maxScore": 123,
"isExists": {
"result": true,
"points": 123
},
"isValid": {
"result": true,
"points": 123
},
"policy": {
"result": true,
"points": 123,
"value": "<string>"
},
"subDomainPolicy": {
"result": true,
"points": 123,
"value": "<string>"
},
"isRuaExists": {
"result": true,
"points": 123,
"value": [
"<string>"
]
},
"ruaEmails": {
"result": true,
"points": 123,
"value": [
{
"email": "<string>",
"result": "<string>"
}
]
},
"isRufExists": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"rufEmails": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"isPctExists": {
"result": true,
"points": 123,
"value": "<string>"
},
"isAspfExists": {
"result": true,
"points": 123,
"value": "<string>"
},
"isAdkimExists": {
"result": true,
"points": 123,
"value": "<string>"
},
"value": [
"<string>"
]
},
"domain": {
"score": 123,
"maxScore": 123,
"isBlackListed": {
"result": true,
"isProblematic": true,
"points": 123
},
"ageInMonths": {
"points": 123,
"value": 123
},
"expiryDate": {
"points": 123,
"value": "<string>"
},
"isDomainAgeMoreThan3Months": {
"result": true,
"points": 123,
"value": 123
},
"dnsProvider": {
"points": 123,
"value": [
"<string>"
]
},
"isTrustworthy": {
"result": true,
"points": 123,
"value": "<string>"
},
"isCommon": {
"result": true,
"points": 123,
"value": "<string>"
},
"isMXRecordExists": {
"result": true,
"points": 123,
"value": [
{
"priority": "<string>",
"hostname": "<string>"
}
]
},
"isUsingTLSA": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"isUsingDNSKEY": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"isDomainUrlBroken": {
"result": true,
"points": 123,
"value": "<string>"
},
"isSafeUrl": {
"result": true,
"points": 123,
"value": "<string>"
},
"isParkedDomain": {
"result": true,
"isProblematic": true,
"points": 123
},
"value": "<string>",
"info": [
"<string>"
]
},
"bimi": {
"score": 123,
"maxScore": 123,
"value": "<string>",
"isExists": {
"result": true,
"points": 123
},
"isValid": {
"result": true,
"points": 123
},
"isAllImageUrlWorks": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
}
},
"mtaSts": {
"score": 123,
"maxScore": 123,
"isExists": {
"result": true,
"points": 123,
"value": "<string>"
},
"policy": {
"mode": {
"result": true,
"points": 123,
"value": "<string>"
},
"maxAge": {
"result": true,
"points": 123,
"value": 123
},
"mxHosts": {
"value": [
"<string>"
],
"result": true
}
},
"isPolicyFileValid": {
"result": true,
"points": 123
},
"policyFileUrl": {
"value": "<string>"
},
"policyFileContent": {
"value": "<string>"
},
"errors": [
"<unknown>"
]
},
"tlsRpt": {
"score": 123,
"maxScore": 123,
"isExists": {
"result": true,
"points": 123
},
"rua": {
"result": true,
"points": 123,
"value": [
"<unknown>"
]
},
"record": {
"value": "<string>"
},
"errors": [
"<unknown>"
]
},
"dkim": {
"score": 123,
"maxScore": 123,
"records": [
"<unknown>"
],
"info": [
"<string>"
]
},
"caa": {
"score": 10,
"maxScore": 10,
"isExists": {
"result": true,
"points": 10
},
"records": [
{
"raw": "0 issue \"letsencrypt.org\"",
"flags": 0,
"tag": "issue",
"value": "letsencrypt.org",
"isCritical": false,
"type": "issue",
"description": "Authorizes letsencrypt.org to issue certificates"
},
{
"raw": "0 iodef \"mailto:security@example.com\"",
"flags": 0,
"tag": "iodef",
"value": "mailto:security@example.com",
"isCritical": false,
"type": "iodef",
"description": "Incident reporting configured",
"reportingMethod": "email",
"reportingAddress": "security@example.com"
},
{
"raw": "0 contactemail \"caa-notifications@example.com\"",
"flags": 0,
"tag": "contactemail",
"value": "caa-notifications@example.com",
"isCritical": false,
"type": "contactemail",
"description": "CAA contact email: caa-notifications@example.com",
"contactMethod": "email",
"contactValue": "caa-notifications@example.com"
}
],
"analysis": {
"hasIssueTag": true,
"hasIssuewildTag": false,
"hasIncidentReporting": true,
"isRestrictive": false,
"authorizedCAs": [
{
"ca": "letsencrypt.org",
"type": "issue",
"provider": "Let's Encrypt"
}
],
"hasContactInfo": true,
"contactRecords": [
{
"type": "contactemail",
"value": "caa-notifications@example.com",
"method": "email"
}
],
"hasCriticalRecords": false,
"hasMultipleCAs": false,
"hasWildcardRestriction": false,
"totalRecords": 3,
"unparsedRecords": 0
}
}
}
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}Authorizations
Bearer token authentication. Use format: Bearer YOUR_API_KEY
Body
Response
Successfully completed health check
success Hide child attributes
Hide child attributes
Total maximum possible score
290
Actual score obtained
220
Final score as percentage (0-100)
76
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
{
"score": 10,
"maxScore": 10,
"isExists": { "result": true, "points": 10 },
"records": [
{
"raw": "0 issue \"letsencrypt.org\"",
"flags": 0,
"tag": "issue",
"value": "letsencrypt.org",
"isCritical": false,
"type": "issue",
"description": "Authorizes letsencrypt.org to issue certificates"
},
{
"raw": "0 iodef \"mailto:security@example.com\"",
"flags": 0,
"tag": "iodef",
"value": "mailto:security@example.com",
"isCritical": false,
"type": "iodef",
"description": "Incident reporting configured",
"reportingMethod": "email",
"reportingAddress": "security@example.com"
},
{
"raw": "0 contactemail \"caa-notifications@example.com\"",
"flags": 0,
"tag": "contactemail",
"value": "caa-notifications@example.com",
"isCritical": false,
"type": "contactemail",
"description": "CAA contact email: caa-notifications@example.com",
"contactMethod": "email",
"contactValue": "caa-notifications@example.com"
}
],
"analysis": {
"hasIssueTag": true,
"hasIssuewildTag": false,
"hasIncidentReporting": true,
"isRestrictive": false,
"authorizedCAs": [
{
"ca": "letsencrypt.org",
"type": "issue",
"provider": "Let's Encrypt"
}
],
"hasContactInfo": true,
"contactRecords": [
{
"type": "contactemail",
"value": "caa-notifications@example.com",
"method": "email"
}
],
"hasCriticalRecords": false,
"hasMultipleCAs": false,
"hasWildcardRestriction": false,
"totalRecords": 3,
"unparsedRecords": 0
}
}
Was this page helpful?